#Test which probability weighting fits best without restrictions on Prelec and Goldstein Einhorn

library(readxl)
library(BayesFactor)
library(AICcmodavg)
library(lme4)
library(nlme)
library(lmerTest)

SSR <- read_excel("SSR.xlsx")


Fit_P<-append(SSR$HEU_Paris,SSR$Prel_Paris)
Fit_P<-append(Fit_P,SSR$GE_Paris)
Fit_P<-append(Fit_P,SSR$TK_Paris)
Fit_P<-append(Fit_P,SSR$Neo_Paris)

Form<-c(rep("HEU",48),rep("Prelec",48),rep("GE",48),rep("TK",48),rep("Neo",48))


Fit_M<-append(SSR$HEU_match,SSR$Prel_match)
Fit_M<-append(Fit_M,SSR$GE_match)
Fit_M<-append(Fit_M,SSR$TK_match)
Fit_M<-append(Fit_M,SSR$Neo_match)


Fit_C<-append(SSR$HEU_Canb,SSR$Prel_Canb)
Fit_C<-append(Fit_C,SSR$GE_Canb)
Fit_C<-append(Fit_C,SSR$TK_Canb)
Fit_C<-append(Fit_C,SSR$Neo_Canb)

Fit<-append(Fit_P,Fit_M)
Fit<-append(Fit,Fit_C)

Source<-c(rep("Paris",5*48),rep("match",5*48),rep("Canb",5*48))
ID1<-rep(1:48,15)
Form1<-rep(Form,3)
Fit_total<-data.frame(ID1,Form1,Source,Fit)

one.way<-aov(Fit~Form1,data=Fit_total)
summary(one.way)

two.way<-aov(Fit~Form1+Source,data=Fit_total)
summary(two.way)

interaction<-aov(Fit~Form1*Source,data=Fit_total)
summary(interaction)

block<-aov(Fit~Form1+Source+ID1,data=Fit_total)
summary(block)

model.set <- list(one.way, two.way, interaction, block)
model.names <- c("one.way", "two.way", "interaction", "blocking")

aictab(model.set, modnames = model.names)

tukey.one.way<-TukeyHSD(one.way)
tukey.one.way

model = lmer(Fit ~ Form1 + (1|ID1),
             data=Fit_total,
             REML=TRUE)

anova(model)
ranova(model)
summary(model)

model.fixed = gls(Fit ~ Form1,
                  data=Fit_total,
                  method="REML")

anova(model,
      model.fixed)

#without TK
Fit_P<-append(SSR$HEU_Paris,SSR$Prel_Paris)
Fit_P<-append(Fit_P,SSR$GE_Paris)
Fit_P<-append(Fit_P,SSR$Neo_Paris)

Form<-c(rep("HEU",48),rep("Prelec",48),rep("GE",48),rep("Neo",48))


Fit_M<-append(SSR$HEU_match,SSR$Prel_match)
Fit_M<-append(Fit_M,SSR$GE_match)
Fit_M<-append(Fit_M,SSR$Neo_match)


Fit_C<-append(SSR$HEU_Canb,SSR$Prel_Canb)
Fit_C<-append(Fit_C,SSR$GE_Canb)
Fit_C<-append(Fit_C,SSR$Neo_Canb)

Fit<-append(Fit_P,Fit_M)
Fit<-append(Fit,Fit_C)

Source<-c(rep("Paris",4*48),rep("match",4*48),rep("Canb",4*48))
ID1<-rep(1:48,12)
Form1<-rep(Form,3)
Fit_total<-data.frame(ID1,Form1,Source,Fit)

one.way<-aov(Fit~Form1,data=Fit_total)
summary(one.way)

two.way<-aov(Fit~Form1+Source,data=Fit_total)
summary(two.way)

interaction<-aov(Fit~Form1*Source,data=Fit_total)
summary(interaction)

block<-aov(Fit~Form1+Source+ID1,data=Fit_total)
summary(block)

model.set <- list(one.way, two.way, interaction, block)
model.names <- c("one.way", "two.way", "interaction", "blocking")

aictab(model.set, modnames = model.names)

tukey.one.way<-TukeyHSD(one.way)
tukey.one.way

tukey.two.way<-TukeyHSD(two.way)
tukey.two.way

model.one = lmer(Fit ~ Form1+(1|ID1),
                 data=Fit_total,
                 REML=TRUE)


model.two = lmer(Fit ~ Form1 + Source+(1|ID1),
                 data=Fit_total,
                 REML=TRUE)

anova(model.two)
ranova(model.two)
summary(model.two)
anova(model.one,model.two)

#without Neo
Fit_P<-append(SSR$HEU_Paris,SSR$Prel_Paris)
Fit_P<-append(Fit_P,SSR$GE_Paris)

Form<-c(rep("HEU",48),rep("Prelec",48),rep("GE",48))


Fit_M<-append(SSR$HEU_match,SSR$Prel_match)
Fit_M<-append(Fit_M,SSR$GE_match)


Fit_C<-append(SSR$HEU_Canb,SSR$Prel_Canb)
Fit_C<-append(Fit_C,SSR$GE_Canb)

Fit<-append(Fit_P,Fit_M)
Fit<-append(Fit,Fit_C)

Source<-c(rep("Paris",3*48),rep("match",3*48),rep("Canb",3*48))
ID1<-rep(1:48,9)
Form1<-rep(Form,3)
Fit_total<-data.frame(ID1,Form1,Source,Fit)

one.way<-aov(Fit~Form1,data=Fit_total)
summary(one.way)

two.way<-aov(Fit~Form1+Source,data=Fit_total)
summary(two.way)

interaction<-aov(Fit~Form1*Source,data=Fit_total)
summary(interaction)

block<-aov(Fit~Form1+Source+ID1,data=Fit_total)
summary(block)

model.set <- list(one.way, two.way, interaction, block)
model.names <- c("one.way", "two.way", "interaction", "blocking")

aictab(model.set, modnames = model.names)

tukey.one.way<-TukeyHSD(one.way)
tukey.one.way

tukey.two.way<-TukeyHSD(two.way)
tukey.two.way

model.one = lmer(Fit ~ Form1+(1|ID1),
                 data=Fit_total,
                 REML=TRUE)


model.two = lmer(Fit ~ Form1 + Source+(1|ID1),
                 data=Fit_total,
                 REML=TRUE)

anova(model.two)
ranova(model.two)
summary(model.two)
anova(model.one,model.two)
